import {expect} from "chai";
import {ConsoleHandler} from "../../../../source/logging/handler/console.js";
import {LogEntry} from "../../../../source/logging/logentry.js";
import {FATAL} from "../../../../source/logging/logger.js";

describe('Logging', function () {

    describe('ConsoleHandler', function () {

        it('should create ConsoleHandler', function () {
            expect(new ConsoleHandler()).to.be.instanceof(ConsoleHandler)
        });

        it('should log to console', function () {
            expect(new ConsoleHandler().setAll().log(new LogEntry(FATAL, [1, true, 'message']))).to.be.true;
        });
    });


});