import {getGlobal, getGlobalObject, getGlobalFunction} from "../../../source/types/global.js";
import {expect} from "chai"

describe('Global', function () {
    describe('getGlobal', function () {

        it('should return global object', function () {
            let t = typeof getGlobal();
            expect(t).to.be.equal('object')
        });

    });
    describe('getGlobalFunction', function () {

        it('should return global function', function () {
            let t = typeof getGlobalFunction('parseInt');
            expect(t).to.be.equal('function')
        });

    });
    describe('getGlobalObject', function () {

        it('should return global object', function () {
            let t = typeof getGlobalObject('JSON');
            expect(t).to.be.equal('object')
        });

    });
});

