#!/bin/bash

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"

url="$(npx create-polyfill-service-url analyse --file "$@")"

if [ ! -x {$url} ] 
then
  sed -i -E "/id=\"polyfill\"/s|.*|   <script id=\"polyfill\" src=\"${url}\"|g"  ${SCRIPT_DIR}/../packages/monster/test/web/test.html  
  sed -i -E "/id=\"polyfill\"/s|.*|   <script id=\"polyfill\" src=\"${url}\"|g"   ${SCRIPT_DIR}/../packages/monster/README.md  
fi


