<!---

USE THIS TEMPLATE TO DESCRIBE AN ERROR.

- Check whether the error has already been documented.
- Be as precise as possible.
- Write in such a way that someone else can understand the error.
- Describe only one bug per ticket.
- Separate facts from assumptions.

--->

### Current bug

<!-- 

- Describe the misbehaviour as precisely as possible.
- What is not working, how does the misbehaviour manifest itself.
- What is the expected *correct* behaviour?
- Can you add screenshots?
- How can you reproduce the error?
- Describe the steps that lead to the error.
    
-->

### Affected environment

<!-- 

- Which components are affected?
- On which operating system in which version did the error occur?
- Which version of PHP, browser, operating system is affected?
    
-->

- (No environment documented yet)


### Possible solutions

<!-- 

- Suggest bug fixes here
- If you have code, submit a merge request

-->

- (no solution defined yet)

### References

<!-- 

- Link to solutions (stackoverflow, documentation, etc)
- Link to related tickets, quotes, lines of code.

-->

- (no links yet)


<!-- Commands -->

/label ~bug
