## References

<!-- 

    Every merge request needs at least one reference!

    Mention the ticket, include links to
    further information, processes, etc.

-->

- (no link inserted yet)

## Author's checklist (required)

- [ ] **In the "References" section above**, link to at least one issue, ticket or process.
- [ ] Confirm that your merge request contains an appropriate test case.
- [ ] Confirm that you have followed the [Code Style Guide](https://about.schukai.com/de/intern/handbuch/referenzen/best-practices-code-styleguide/).
- [ ] Confirm that you have documented the function.
- [ ] Confirm that you have followed the [Documentation Style Guide](https://about.schukai.com/de/intern/handbuch/leitfaden/uebersicht/).

## Checklist for the reviewer (if possible)

- [ ] Confirm that the merge request meets the requirements of the linked issues.
- [ ] Confirm that the merge request contains appropriate test cases.
- [ ] Code analysis has been performed.
- [ ] Set the merge request to approved.

## Release Manager Checklist (required)

- [ ] Assign this merge request to a milestone.
- [ ] Record the changes in the changelog (changelog.md).


<!-- Commands -->

/label ~feature
