'use strict';

import {Monster} from './namespace.js';
/**
 * Property-Keys
 * @author schukai GmbH
 */

/**
 * @private
 * @type {symbol}
 * @memberOf Monster
 * @since 1.24.0
 */
const internalSymbol = Symbol('internalData');

/**
 * @private
 * @type {symbol}
 * @memberOf Monster
 * @since 1.25.0
 */
const internalStateSymbol = Symbol('state');


export {
    Monster,
    internalSymbol,
    internalStateSymbol
}

