import {IsArray} from "../../../source/constraints/isarray.js";
import {expect} from "chai"

describe('IsArray', function () {

    describe('.isValid()', function () {
        let constraint = new IsArray()

        it('should resolve promise', function (done) {
            constraint.isValid([1,2,3]).then(r => {
                expect(r).is.a('array');
                done();
            }).catch(e => {
                done(new Error("should not reached: " + e));
            })
        });

    });

});

