import {Monster, ID} from "../../../source/types/id.js";
import {expect} from "chai"

import * as Crypto from "@peculiar/webcrypto";

if (!global['crypto']) {
    global['crypto'] = new Crypto.Crypto();
}


describe('ID', function () {

    describe('.toString()', function () {
        let id = new ID()
        let result = id.toString();

        it('should return a string', function () {
            expect(result).is.a('string')
        });
        
        it('should return a string', function () {
            expect(new ID('text1425id').toString()).is.equal('text1425id1')
            expect(new ID('text1425id').toString()).is.equal('text1425id2')
            expect(new ID('text1425id').toString()).is.equal('text1425id3')
        });

    });

});

